Public Attributes | List of all members
iso_set_data_path_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for setting data path. More...

`#include <ble_iso.h>`

## Public Attributes
uint16_t | conn_hdl
| Connection handle of a CIS or BIS. More...
uint8_t | direction
| Direction for data path, see iso_data_path_direction_t. More...
uint8_t | data_path_type
| Type for data path, see iso_data_path_type_t. More...
uint8_t | codec_id [5]
| Codec ID (octet 0:coding format; octet 1 to 2:company ID; octets 3 to 4:vendor-defined codec ID) More...
uint32_t | ctrl_delay
| Controller delay in microseconds (Range: 0x000000 to 0x3D0900). More...
uint8_t | codec_cfg_len
| Codec configuration length. More...
uint8_t * | codec_cfg
| Codec configuration. More...

## Detailed Description

The parameter for setting data path.

Definition at line 299 of file ble_iso.h.

## Member Data Documentation

## ◆ codec_cfg

uint8_t* iso_set_data_path_t::codec_cfg

Codec configuration.

Definition at line 307 of file ble_iso.h.

## ◆ codec_cfg_len

uint8_t iso_set_data_path_t::codec_cfg_len

Codec configuration length.

Definition at line 306 of file ble_iso.h.

## ◆ codec_id

uint8_t iso_set_data_path_t::codec_id[5]

Codec ID (octet 0:coding format; octet 1 to 2:company ID; octets 3 to 4:vendor-defined codec ID)

Definition at line 304 of file ble_iso.h.

## ◆ conn_hdl

uint16_t iso_set_data_path_t::conn_hdl

Connection handle of a CIS or BIS.

Definition at line 301 of file ble_iso.h.

## ◆ ctrl_delay

uint32_t iso_set_data_path_t::ctrl_delay

Controller delay in microseconds (Range: 0x000000 to 0x3D0900).

Definition at line 305 of file ble_iso.h.

## ◆ data_path_type

uint8_t iso_set_data_path_t::data_path_type

Type for data path, see iso_data_path_type_t.

Definition at line 303 of file ble_iso.h.

## ◆ direction

uint8_t iso_set_data_path_t::direction

Direction for data path, see iso_data_path_direction_t.

Definition at line 302 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h